NDB_MOVE_DATA(1)

NAME
ndb_move_data - NDB data copy utility

SYNOPSIS

ndb_move_data options

DESCRIPTION

ndb_move_data copies data from one NDB table to another. Usage.PP The program is invoked with the names of the source and target tables; either or both of these may be qualified optionally with the database name. Both tables must use the NDB storage engine.

    ndb_move_data options source target

The following table includes options that are specific to ndb_move_data. Additional descriptions follow the table. For options common to most NDB Cluster programs (including ndb_move_data), see Options Common to NDB Cluster Programs(1).

Table 21.342. Command-line options for the ndb_move_data program
Format | Description | Added, Deprecated, or Removed
--abort-on-error | Dump core on permanent error (debug option) | All MySQL 5.7 based releases
--character-sets-dir=name | Directory where character sets are | All MySQL 5.7 based releases
--database=dbname, -d | Name of the database in which the table is found | All MySQL 5.7 based releases
--drop-source | Drop source table after all rows have been moved | All MySQL 5.7 based releases
--error-insert | Insert random temporary errors (testing option) | All MySQL 5.7 based releases
--exclude-missing-columns | Ignore extra columns in source or target table | All MySQL 5.7 based releases
--lossy-conversions, -l | Allow attribute data to be truncated when converted to a smaller type | All MySQL 5.7 based releases
--promote-attributes, -A | Allow attribute data to be converted to a larger type | All MySQL 5.7 based releases
--staging-tries=x[,y[,z]] | Specify tries on temporary errors. Format is x[,y[,z]] where x=max tries (0=no limit), y=min delay (ms), z=max delay (ms) | All MySQL 5.7 based releases
--verbose | Enable verbose messages | All MySQL 5.7 based releases

    • --abort-on-error
    Property | Value
    Command-Line Format | --abort-on-error
    Type | Boolean
    Default Value | FALSE

    Dump core on permanent error (debug option).

    • --character-sets-dir=name
    Property | Value
    Command-Line Format | --character-sets-dir=name
    Type | String
    Default Value | [none]

    Directory where character sets are.

    • --database=dbname, -d
    Property | Value
    Command-Line Format | --database=dbname
    Type | String
    Default Value | TEST_DB

    Name of the database in which the table is found.

    • --drop-source
    Property | Value
    Command-Line Format | --drop-source
    Type | Boolean
    Default Value | FALSE

    Drop source table after all rows have been moved.

    • --error-insert
    Property | Value
    Command-Line Format | --error-insert
    Type | Boolean
    Default Value | FALSE

    Insert random temporary errors (testing option).

    • --exclude-missing-columns
    Property | Value
    Command-Line Format | --exclude-missing-columns
    Type | Boolean
    Default Value | FALSE

    Ignore extra columns in source or target table.

    • --lossy-conversions, -l
    Property | Value
    Command-Line Format | --lossy-conversions
    Type | Boolean
    Default Value | FALSE

    Allow attribute data to be truncated when converted to a smaller type.

    • --promote-attributes, -A
    Property | Value
    Command-Line Format | --promote-attributes
    Type | Boolean
    Default Value | FALSE

    Allow attribute data to be converted to a larger type.

    • --staging-tries=x[,y[,z]]
    Property | Value
    Command-Line Format | --staging-tries=x[,y[,z]]
    Type | String
    Default Value | 0,1000,60000

    Specify tries on temporary errors. Format is x[,y[,z]] where x=max tries (0=no limit), y=min delay (ms), z=max delay (ms).

    • --verbose
    Property | Value
    Command-Line Format | --verbose
    Type | Boolean
    Default Value | FALSE

    Enable verbose messages.

COPYRIGHT

Copyright © 1997, 2018, Oracle and/or its affiliates. All rights reserved.

This documentation is free software; you can redistribute it and/or modify it only under the terms of the GNU General Public License as published by the Free Software Foundation; version 2 of the License.

This documentation is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with the program; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA or see http://www.gnu.org/licenses/.

SEE ALSO
For more information, please refer to the MySQL Reference Manual, which may already be installed locally and which is also available online at http://dev.mysql.com/doc/.

AUTHOR
Oracle Corporation (http://dev.mysql.com/).